web2py(1)

NAME
web2py - web2py Web Framework server launcher

SYNOPSIS
web2py [options]

DESCRIPTION
web2py is a the startup script to launch web2py server running applications located the current directory. If the user has not write permissions on this directory, web2py will server applications located at ~/web2py

ATTENTION: unless --nogui option or a password is specified (-a "passwd") web2py will attempt to run a GUI. In this case command line options are ignored.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the Info files.

--version
    Show version of program and exit.

-h, --help
    Show summary of options and exit.

-i IP, --ip=IP
    Ip address of the server (defaults: 127.0.0.1)

-p PORT, --port=PORT
    Port of server (defaults:8000)

-a PASSWORD, --password=PASSWORD
    Password to be used for administration (use -a "<recycle>" to reuse the last password))

-c SSL_CERTIFICATE, --ssl_certificate=SSL_CERTIFICATE
    File that contains ssl certificate

-k SSL_PRIVATE_KEY, --ssl_private_key=SSL_PRIVATE_KEY
    File that contains ssl private key

-d PID_FILENAME, --pid_filename=PID_FILENAME
    File to store the pid of the server

-l LOG_FILENAME, --log_filename=LOG_FILENAME
    File to log connections

-n NUMTHREADS, --numthreads=NUMTHREADS
    Number of threads (deprecated)

--minthreads=MINTHREADS
    Minimum number of server threads

--maxthreads=MAXTHREADS
    Maximum number of server threads

-s SERVER_NAME, --server_name=SERVER_NAME
    Server name for the web server

-q REQUEST_QUEUE_SIZE, --request_queue_size=REQUEST_QUEUE_SIZE
    Max number of queued requests when server unavailable

-o TIMEOUT, --timeout=TIMEOUT
    Timeout for individual request (Defaults: 10 seconds)

-z SHUTDOWN_TIMEOUT, --shutdown_timeout=SHUTDOWN_TIMEOUT
    Timeout on shutdown of server (Defaults: 5 seconds)

-f FOLDER, --folder=FOLDER
    Folder from which to run web2py

-v, --verbose
    Increase --test verbosity

-Q, --quiet
    Disable all output

-D DEBUGLEVEL, --debug=DEBUGLEVEL
    Set debug output level (0-100, 0 means all, 100 means none; default is 30)

-S APPNAME, --shell=APPNAME
    Run web2py in interactive shell or IPython (if installed) with specified appname (if app does not exist it will be created).

-P, --plain
    Only use plain python shell; should be used with --shell option

-M, --import_models
    Auto import model files; default is False; should be used with --shell option

-R PYTHON_FILE, --run=PYTHON_FILE
    Run PYTHON_FILE in web2py environment; should be used with --shell option

-T TEST_PATH, --test=TEST_PATH
    Run doctests in web2py environment; TEST_PATH like a/c/f (c,f optional)

-C, --cron
    Trigger a cron run manually; usually invoked from a system crontab

--softcron
    Triggers the use of softcron

-N, --no-cron
    Do not start cron automatically

-J, --cronjob
    Identify cron-initiated command

-L CONFIG, --config=CONFIG
    Config file

-F PROFILER_FILENAME, --profiler=PROFILER_FILENAME
    Profiler filename

--nogui
    Text-only, no GUI

-A ARGS, --args=ARGS
    Should be followed by a list of arguments to be passed to script, to be used with -S, -A must be the last option

--interfaces=INTERFACES
    Allows multiple interfaces to be served

AVAILABILITY
The latest version of web2py can always be obtained from http://www.web2py.com/examples/default/download

DOCUMENTATION
The Official web2py book is available at http://www.web2py.com/book

AUTHOR
web2py was written by Massimo Di Pierro <mdipierro@cs.depaul.edu>>.

This manual page was written by José L. Redrejo Rodríguez <jredrejo@debian.org>, for the Debian project (and may be used by others).